JsonParserTokenManager (Grails 4.0.2)
Date: 2020-02-21

Package: org.grails.web.json.parser

## [Java] Class JsonParserTokenManager

- org.grails.web.json.parser.JsonParserTokenManager

- All Implemented Interfaces and Traits:
    JsonParserConstants

      @java.lang.SuppressWarnings("unused")
      public class JsonParserTokenManager
      extends java.lang.Object

  Token Manager.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected char` | `curChar` |
    `java.io.PrintStream` | `debugStream` | Debug output.
    `protected SimpleCharStream` | `input_stream` |
    `static int[]` | `jjnewLexState` | Lex State array.
    `static java.lang.String[]` | `jjstrLiteralImages` | Token literal values.
    `static java.lang.String[]` | `lexStateNames` | Lexer state names.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonParserTokenManager (SimpleCharStream stream)` Constructor.
    `JsonParserTokenManager (SimpleCharStream stream, int lexState)` Constructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
    `` | `void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
    `` | `void` | `SwitchTo(int lexState)` Switch to specified lex state.
    `` | `Token` | `getNextToken()` Get the next Token.
    `` | `protected Token` | `jjFillToken()`
    `` | `void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected char curChar

    - #### public java.io.PrintStream debugStream

      Debug output.

    - #### protected SimpleCharStream input_stream

    - #### public static final int[] jjnewLexState

      Lex State array.

    - #### public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### public static final java.lang.String[] lexStateNames

      Lexer state names.

  - ### Constructor Detail

    - #### public JsonParserTokenManager(SimpleCharStream stream)

      Constructor.

    - #### public JsonParserTokenManager(SimpleCharStream stream, int lexState)

      Constructor.

  - ### Method Detail

    - #### public void ReInit(SimpleCharStream stream)

      Reinitialise parser.

    - #### public void ReInit(SimpleCharStream stream, int lexState)

      Reinitialise parser.

    - #### public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### public Token getNextToken()

      Get the next Token.

    - #### protected Token jjFillToken()

    - #### public void setDebugStream(java.io.PrintStream ds)

      Set debug output.